@keyframes top-right-curve {
    from {
        opacity: 0;
        -webkit-border-top-right-radius: 0;
        -moz-border-radius-topright: 0;
        border-top-right-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-right-radius: 300px;
        -moz-border-radius-topright: 300px;
        border-top-right-radius: 300px;
    }
}

@keyframes top-left-curve {
    from {
        opacity: 0;
        -webkit-border-top-left-radius: 0;
        -moz-border-radius-topleft: 0;
        border-top-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-top-left-radius: 300px;
        -moz-border-radius-topleft: 300px;
        border-top-left-radius: 300px;
    }
}

@keyframes bottom-left-curve {
    from {
        opacity: 0;
        -webkit-border-bottom-left-radius: 0;
        -moz-border-radius-bottomleft: 0;
        border-bottom-left-radius: 0;
    }

    to {
        opacity: 1;
        -webkit-border-bottom-left-radius: 300px;
        -moz-border-radius-bottomleft: 300px;
        border-bottom-left-radius: 300px;
    }
}

@keyframes line-reveal {
    from {
        /* opacity: 1; */
        width: 100%;
    }

    to {
        /* opacity: 0; */
        width: 0;
    }
}

body {
    display: block;
}

main {
    display: block;
    margin: 24pt 12pt;
    padding: 0 12pt;
}

/* Main structure */
.container-main {
    /* Layout */
    display: grid;
    align-items: start;
    grid-template-columns: repeat(2, 1fr);
    position: relative;
    grid-gap: 18pt;

    /* Spacing */
    padding: 24pt 18pt 36pt 12pt;

    border-top: 1pt solid var(--color-main-dark);
    border-right: 1pt solid var(--color-main-dark);
    /* border-left: 1pt solid var(--color-main-dark); */

    /* Border Radius */
    animation: top-right-curve 1.25s ease forwards;
}

.container-main-title {
    font-size: var(--fs-label);
    text-transform: uppercase;
    position: absolute;
    top: -14pt;
    left: 12pt;
    background-color: var(--color-main-light);
    padding: 0 4pt;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

iframe {
    border-left: 1pt solid var(--color-main-dark);
    border-right: 1pt solid var(--color-main-dark);
}

.title {
    font-size: var(--fs-lead);
}

.left {
    grid-column: 1 / 2;
    position: sticky;
    top: 0;
}

.right {
    grid-column: 2 / 3;
    display: grid;
    grid-template-columns: repeat(4, 1fr);

    /* background-color: turquoise; */
}

.right article {
    grid-column: 1/4;
}

@media screen and (min-width: 375px) and (max-width: 768px) {
    main {
        margin: 24pt auto;
        padding: 0 9pt;
    }

    article {
        display: block;
        border: 0;
    }

    .container-main {
        padding: 12pt 12pt 0 12pt;
        animation: none;
        border-right: 0;
        /* border-left: 1pt solid var(--color-main-dark); */
    }

    .left {
        top: auto;
        position: relative;
        grid-column: 1/3;
    }

    .right {
        grid-column: 1/3;
        display: block;
    }

    .container-main-title {
        left: 0;
        margin-left: 50%;
        transform: translateX(-50%);
    }
}